
.user-area-form label[placeholder]:before {
  color: var(--blue-wishmo) !important;
}
.user-area-form label[placeholder]:before{
  transition-duration: .2s;
  transform: translate(0, -1.5em) scale(0.9, 0.9);
}

.user-area-form input + label[placeholder] {
  display: block;
  pointer-events: none;
  line-height: 1em;
  margin-top: calc(-3em - 2px);
  /*margin-bottom: calc((3em - 1em) + 2px);*/
}

.user-area-form input + label[placeholder]:before {
  content: attr(placeholder);
  display: inline-block;
  margin: 0 calc(1em + 2px);
  padding: 0 2px;
  color: #898989;
  white-space: nowrap;
  transition: 0.3s ease-in-out;
  background-image: linear-gradient(to bottom, #fff, #fff);
  background-size: 100% 5px;
  background-repeat: no-repeat;
  background-position: center;
}




.ajax_error{
    padding: 20px;
    color: red;
    border: 1px solid red;
    margin: 10px;
    border-radius: 15px;    
}

.ajax_success{
    padding: 20px;
    color: #ff6c4c;
    border: 1px solid #ff6c4c;
    margin: 10px;
    border-radius: 15px;    
}



/** general form styles 
for all inputs, put the ".input-holder" class on parent div + form type class ".login-input", and the styles will apply
**/
.login-input-holder{
  padding: 1.634vw 0 0 0;
}
.input-holder{
  position: relative;
  display: block;
  width: 100%;
  margin-bottom: 1.434vw;
}
.input-holder.checkbox-input{
  margin-bottom: 0.434vw;
}
form .input-holder:last-of-type{
  margin-bottom: 0;
}
.login-input input{
  display: block;
  width: 100%;
  border: 1px solid var(--blue-wishmo);
  border-radius: 5px;
  padding: 10px 16px;
  outline: none;
  color: #000000;
  background: transparent;
  font-size: 16px;
  line-height: 16px;
}
.login-input label{
  display: inline-block;
  color: var(--blue-wishmo);
  position: absolute;
  pointer-events: all;
  cursor: pointer;
  top: 0;
  transform: translateY(-50%);
  left: 0.8234vw;
  z-index: 3;
  font-size: 15px;
  line-height: 15px;
  opacity: 1;
  padding: 4px 6px;
  background: #ffffff;
  border-radius: 5px;
}
.input-holder input[type="password"]{
  height: auto;
  font-size: 16px;
  line-height: 16px;
  padding: 10px 60px 10px 16px;
}
.input-holder input[type="text"]{
  height: auto;
  font-size: 16px;
  line-height: 16px;
}


.input-holder span{
  position: absolute;
  top: 100%;
  left: 0.8234vw;
  color: var(--red-error);
}
.input-holder .error_label{
	color: var(--red-error);
}
.input-holder input.error{
	color: var(--red-error);
	border-color: var(--red-error);
}
.input-holder input.error:active,
.input-holder input.error:focus
{
  color: var(--blue-wishmo);
	border-color: var(--blue-wishmo);
}

.input-holder input.error:active,
.input-holder input.error:focus{
  color: #000000;
}
form .btn-cont{
  margin-top: 0;
}
.eye{
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  right: 0.824vw;
  width: 1.634vw;
  pointer-events: all;
  cursor: pointer;
}
.eye img{
  display: block;
  width: 100%;
}
.checkbox-input label{
  position: relative;
  z-index: 2;
  pointer-events: all;
  cursor: pointer;
  padding-left: 26px;
}
.checkbox-input input[type='checkbox'],
.checkbox-input input[type='radio'],
.checkbox-mask{
  position: absolute;
  z-index: 1;
  top: 3px;
  left: 0;
  width: 17px;
  height: 17px;
  border-radius: 5px;
  margin: 0 0;
  outline: none;
  border: 1px solid grey;
  background: transparent;
  pointer-events: all;
  opacity: 0;
  visibility: hidden;
  cursor: pointer;
  transition: 0.3s ease all;
}
.checkbox-mask{
  opacity: 1;
  visibility: visible;
  pointer-events: none;
}
.checkbox-input input[type='checkbox']:checked + .checkbox-mask,
.checkbox-input input[type='radio']:checked + .checkbox-mask{
  background: lightgreen;
  transition: 0.3s ease all;
}
/** general form styles **/